Get bag movements by service
This endpoint returns all bag movements for a service over a period not exceeding 61 days.
GET /api/v1/business/{businessId}/service/{serviceId}/bag-movements/from/{yyyy-MM-dd}/to/{yyyy-MM-dd}
If the data included in the request is correct —both businessId and serviceId— the response will be a 200 OK with the list of bag movements within the specified interval in the URL.
Response example
[
{
"employeeId": "1006350",
"originBagId": "PT9",
"originDate": "2026-07-27",
"destinationBagId": "WH",
"destinationDate": "2026-07-27",
"value": 60.0,
"reason": "Worked hours"
},
{
"employeeId": "1006350",
"destinationBagId": "WH",
"destinationDate": "2026-07-21",
"value": 120.0,
"reason": "Tuesday worked hours"
}
]
Details
-
employeeId: external identifier of the employee.
-
originBagId: external identifier of the origin bag of the movement.
-
originDate: date the movement is applied to the origin bag, in
yyyy-MM-ddformat. -
destinationBagId: external identifier of the destination bag of the movement.
-
destinationDate: date the movement is applied to the destination bag, in
yyyy-MM-ddformat. -
value: amount of the movement applied to the bag.
-
reason: reason for the movement, either specified in the system or generated automatically.
The response will contain the data defined for each movement. If the external identifier of the origin or destination bag is not set in the system and the movement was made from the interface, that information will not be returned (as seen in the last movement of the example).
Considerations
If no movements are found for the specified period, the request will return an empty array [].
Error codes
This endpoint does not return any error codes of its own beyond those described in common errors.
Useful links
What is a bag?